﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">Home Page</asp:Content>
<asp:Content ContentPlaceHolderID="HeadContent" runat="server">
    <%--CSS Files--%>
    <link href="<%= Url.Content("~/Content/jquery-ui-1.8.11.css") %>" rel="stylesheet" type="text/css" />
    <link href="<%= Url.Content("~/Content/ui.jqgrid.css") %>" rel="stylesheet" type="text/css" />
    <style type="text/css">
        /* fix the size of the pager */
        input.ui-pg-input { width: auto; }
    </style>

    <%--jQuery Library--%>
    <script src="<%= Url.Content("~/Scripts/jquery-1.5.2.min.js") %>" type="text/javascript"></script>
    
    <%--Must load language tag BEFORE script tag--%>
    <script src="<%= Url.Content("~/Scripts/grid.locale-en.js") %>" type="text/javascript"></script>
    <script src="<%= Url.Content("~/Scripts/jquery.jqGrid.min.js") %>" type="text/javascript"></script>
  
    <%--jqGrid Code - refer http://www.trirand.com/blog/jqgrid/jqgrid.html --%>
    <script type="text/javascript">
        $(document).ready(function() {
            var myGrid = $('#list');
            myGrid.jqGrid({
                url: '<%= Url.Action("DynamicGridData") %>',
                datatype: 'json',
                mtype: 'POST',
                colNames: ['Id', 'Votes', 'Title'],
                colModel: [
                    { name: 'Id', index: 'Id', key:true, width: 40,
                      searchoptions:{sopt:['eq','ne','lt','le','gt','ge']} },
                    { name: 'Votes', index: 'Votes', width: 40,
                      searchoptions:{sopt:['eq','ne','lt','le','gt','ge']} },
                    { name: 'Title', index: 'Title', width: 400,
                      searchoptions:{sopt:['cn','nc','bw','bn','eq','ne','ew','en','lt','le','gt','ge']} }
                ],
                pager: '#pager',
                rowNum: 10,
                rowList: [5, 10, 20, 50],
                sortname: 'Id',
                sortorder: 'desc',
                rownumbers: true,
                viewrecords: true,
                height: '100%',
                jsonReader: {cell:""},
                caption: 'My first grid'
            });
            myGrid.jqGrid('navGrid', '#pager', {add: false, edit: false, del: false},
                          {}, {}, {}, { multipleSearch: true, overlay: false });
            myGrid.jqGrid('filterToolbar', {stringResult:true, searchOnEnter:true, defaultSearch:'cn'});
            myGrid.jqGrid('navButtonAdd', '#pager',
                        { caption: "Filter", title: "Toggle Searching Toolbar",
                          buttonicon: 'ui-icon-pin-s',
                          onClickButton: function() { myGrid[0].toggleToolbar(); }
                        });
      }); 
    </script>  

</asp:Content>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">
    <%-- HTML Required--%>
    <h2>My Grid Data</h2>
    <table id="list"></table>
    <div id="pager"></div>
</asp:Content>
